<template>
  <Head>
    <title>Gameanueva - Log In</title>
    <meta
      type="description"
      content="Gameanueva - Log In"
      head-key="description"
    />
    <link rel="apple-touch-icon" sizes="180x180" href="/favicon.png" />
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon.png" />
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon.png" />
  </Head>
  <section>
    <header>
      <div class="p-5 bg-primary color-block">
      <img src="/favicon.png" />
      </div>
      <div class="p-5 color-block">
        <h1 class="text-2xl mx-auto text-center" style="padding-top: 5px;">Gameanueva</h1>
      </div>
    </header>
  </section>

  <section class="p-5 bg-secondary color-block">
    <div>
      <form @submit.prevent="submit">
        <div class="mb-3">
          <label for="email">Email</label>
          <input style="margin-left: 2.41rem;"
            v-model="form.email"
            type="email"
            name="email"
            id="email"
            required
          />
          <div v-if="errors.email" v-text="errors.email"></div>
        </div>
        <div class="mb-3">
          <label for="password">Password</label>
          <input class="ml-2"
            v-model="form.password"
            type="password"
            name="password"
            id="password"
          />
          <div v-if="errors.password" v-text="errors.password"></div>
        </div>
        <button class="bg-primary hover:bg-tertiary" type="submit">Log In</button>
      </form>
    </div>
  </section>
</template>

<script>
export default {
  layout: null,
};
</script>

<script setup>
import { useForm } from "@inertiajs/inertia-vue3";
let form = useForm({
  email: "",
  password: "",
});
defineProps({
  errors: Object,
});
let submit = () => {
  form.post("/login");
};
</script>